Package Details: virtualbox-ext-oracle 6.1.26-1

Git Clone URL: https://aur.archlinux.org/virtualbox-ext-oracle.git (read-only, click to copy)
Package Base: virtualbox-ext-oracle
Description: Oracle VM VirtualBox Extension Pack
Upstream URL: https://www.virtualbox.org/
Keywords: virtualbox
Licenses: custom:PUEL
Submitter: seblu
Maintainer: seblu (eworm)
Last Packager: eworm
Votes: 1337
Popularity: 7.07
First Submitted: 2010-12-24 16:48
Last Updated: 2021-07-29 12:25

Pinned Comments

seblu commented on 2019-04-25 17:41

There is no version dependency on this package on purpose! You could read comments back from 2011 to understand why.

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 ... Next › Last »

philster10260 commented on 2020-08-13 14:33

This update broke all of my Win7 VMs, and downgrading to USB 1.1 is totally unacceptable, duh. I was able to recover by uninstalling all my virtualbox packages and reinstalling all of them EXCEPT this one. Then I downloaded the last working extension pack from here:

https://download.virtualbox.org/virtualbox/6.1.12/Oracle_VM_VirtualBox_Extension_Pack-6.1.12.vbox-extpack

and manually installed it using "VBoxManage" from a "su" shell.

Everything is working now :)

dml commented on 2020-08-13 11:17

I have the same problem. Workaround: disable ehci\xhci usb controller in virtual machine settings (only ohci allowed). I hope oracle fix this in future updates.

anova commented on 2020-08-13 11:11

After updating this to 6.1.13.-1 my VM crash on startup with this error:

Failed to load R0 module /usr/lib/virtualbox/ExtensionPacks/Oracle_VM_VirtualBox_Extension_Pack/linux.amd64/VBoxEhciR0.r0: SUP_IOCTL_LDR_OPEN failed (VERR_INVALID_PARAMETER). Failed to load ring-0 module 'VBoxEhciR0.r0' for device 'usb-xhci' (VERR_INVALID_PARAMETER).

Please help :)

eworm commented on 2020-08-12 22:05

I geuss you are still running linux 5.7.12 with virtualbox-host-modules-arch from [community]? I missed to rebuild the latter... Probably your issue is unrelated to the extension pack. Please update and try again.

dml commented on 2020-08-12 21:40

just reboot

eworm commented on 2020-08-12 21:39

Only virtualbox 6.1.12-4 available in official ARCH repository right now. With virtualbox-ext-oracle 6.1.13.139853-1 I get error: "RTR3InitEx failed with rc=-1912 (rc=-1912)"

Did you reload modules (or just reboot)?

dml commented on 2020-08-12 21:32

Only virtualbox 6.1.12-4 available in official ARCH repository right now. With virtualbox-ext-oracle 6.1.13.139853-1 I get error: "RTR3InitEx failed with rc=-1912 (rc=-1912)"

kruzah commented on 2020-01-04 21:19

@reliveyy Please read the Arch Linux repo news here: https://www.archlinux.org/news/xorg-cleanup-requires-manual-intervention/

reliveyy commented on 2020-01-04 19:24

I installed this pack and got two error messages in the end:

:: Running post-transaction hooks...
(1/1) Arming ConditionNeedsUpdate...
error: missing 'dmxproto' dependency for 'libdmx'
error: missing 'xf86dgaproto' dependency for 'libxxf86dga'

But when I test it with VBoxManage list extpacks, I got some expected results:

Extension Packs: 1
Pack no. 0:   Oracle VM VirtualBox Extension Pack
Version:      6.1.0
Revision:     135406
Edition:
Description:  Oracle Cloud Infrastructure integration, USB 2.0 and USB 3.0 Host Controller, Host Webcam, VirtualBox RDP, PXE ROM, Disk Encryption, NVMe.
VRDE Module:  VBoxVRDP
Usable:       true
Why unusable:

I have no idea about the meaning of the error messages.

rogierschouten commented on 2020-01-02 14:16

@fukawi2 thank you, that works